<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Collection Plans</ion-title>
  </ion-toolbar>

  <ion-toolbar color="light">
    <ion-searchbar mode="ios" placeholder="Search" debounce="500" (ionChange)="search($event)"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <ion-list *ngIf="collectionPlans">
    <ion-item button="true" *ngFor="let cp of collectionPlans" (click)="detail(cp)">  
      <p class="date"># {{cp.ID}}</p>          
      <ion-label>        
        <p>Release: {{cp.ReleaseDate | date: 'MMM dd, yyyy'}}</p>
        <p>Period: {{cp.CollectionPeriodFrom | date: 'MM/dd/yyyy'}} - {{cp.CollectionPeriodTo | date: 'MM/dd/yyyy'}}</p>
        <p>Invoices: {{cp.InvoiceCount}}</p>  
      </ion-label>    
      <p slot="end">{{cp.TotalBalance | currency: ' '}}</p>
    </ion-item>
  </ion-list>

  <ion-list *ngIf=!collectionPlans>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>
